<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Activity-A</title>
</head>
<body>

	<h4><em>Science and Engineering Ethics (2001)7.231-238</em></h4>
	<hr/>
	
		<h1>Software Engineering Code of Ethis and Professional Practices</h1>

	<p>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</p>
	<hr/>	
	
	<p><strong>Keywords:</strong> code of ethics, professional reesponsibility, software engineering</p>
	
	<h3>PREAMBLE</h3>
	
	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses tha are included in the full versoin five example and detail of how these  aspiration change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspiraton can become high-sounding but empty; together, the aspiration and the details form a cohesive code.</p>
	
	<p>Sotware engineers shall commit themseelves to making the analysis, specification, design, development, testin, and maintenance of software a beneficial and reespected profession. In accordance with their commitment to the health, safety and welfare to the public, software engineers shall adhere to the following eight Principle:</p>

	<h3>PRINCIPLES</h3>

	<ol>
		<li><em>Public.</em> Software engineer shall act consistently with the public interest</li>
		<li><em>Client and Employer.</em>Software engineer shall act in a manner that is in the best interest of  their client and employer, consistent with the public interest.
			</li>
			<li><em>Product.</em>Software engineer shall ensure that their products and related modifications and meet the highest professional standards possible.</li>
			<li><em>Judgement.</em>Software eengineers shall maintain integrity and independence in ther professional judgement.</li>
			<li><em>Management.</em>Software engineering managers and leaders and leaders shall subscribe to and promote an ethical approach to the management of software development and  maintenance</li>
			<li><em>Profession.</em>Software engineers shall advance the intefirty and reputation of the profession consistent with the public interest.</li>
			<li><em>Collegues.</em> Software Engineers shall be fair to and supportive of their colleagues.</li>
			<li><em>Self.</em>Software engineers shall be participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>

	</ol>

</body>
</html>